import { BaseClip } from './base-clip';
import { IClipMeta } from './iclip';
export declare class Placeholder extends BaseClip {
    type: string;
    meta: IClipMeta;
    constructor(src: string, meta?: Partial<IClipMeta>, type?: string);
    private canvas;
    private ctx;
    private animationRafId;
    private renderPending;
    tick(_time: number): Promise<{
        video: ImageBitmap | VideoFrame | null;
        audio: Float32Array[];
        state: "done" | "success";
    }>;
    clone(): Promise<this>;
    split(time: number): Promise<[this, this]>;
    /**
     * Create a Placeholder instance from a JSON object
     */
    static fromObject(json: any): Promise<Placeholder>;
}
